javax.print.attribute

## Interface SupportedValuesAttribute

- All Superinterfaces:
    Attribute, Serializable
  All Known Implementing Classes:
    CopiesSupported, JobImpressionsSupported, JobKOctetsSupported, JobMediaSheetsSupported, JobPrioritySupported, NumberUpSupported

      public interface SupportedValuesAttribute
      extends Attribute

  Interface SupportedValuesAttribute is a tagging interface which a printing attribute class implements to indicate the attribute describes the supported values for another attribute. For example, if a Print Service instance supports the `Copies` attribute, the Print Service instance will have a `CopiesSupported` attribute, which is a SupportedValuesAttribute giving the legal values a client may specify for the `Copies` attribute.

- - ### Method Summary

    - ### Methods inherited from interface javax.print.attribute.Attribute

      `getCategory, getName`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.